## gnugk 2.0.7

=== Makefile ===
#
# Makefile
#
# Make file for OpenH323 Gatekeeper - The GNU Gatekeeper
#
# Reconstructed by C.W.Huang   Nov 11, 2002
#


PROG	=	gnugk
SOURCES	:=	gk.cxx gkauth.cxx gkDestAnalysis.cxx \
		RasSrv.cxx RasTbl.cxx GkClient.cxx \
		MulticastGRQ.cxx BroadcastListen.cxx \
		SoftPBX.cxx Toolkit.cxx h323util.cxx GkStatus.cxx \
		yasocket.cxx thread.cxx ProxyThread.cxx ProxyChannel.cxx \
		singleton.cxx main.cxx gkacct.cxx radproto.cxx radauth.cxx radacct.cxx

# Accounting support
ifdef HAS_ACCT
STDCCFLAGS += -DHAS_ACCT=1
endif

# RADIUS support
ifndef NO_RADIUS
STDCCFLAGS += -DHAS_RADIUS=1
endif

ifndef ANSI
STDCCFLAGS	+= -DGK_NOANSI
endif

# LDAP support
ifdef HAS_LDAP

SOURCES += gkldap.cxx
STDCCFLAGS += -DLDAP_HAS_CACHE

ifndef LDAP1823DIR
LDAP1823DIR := /usr/include
export LDAP1823DIR
endif
ifndef LDAP1823LIBDIR
LDAP1823LIBDIR := /usr/lib
export LDAP1823LIBDIR
endif
# this is the file name of the lib. To the linker always flag (-l) with
# std. name 'ldap' is passed
ifndef LDAP1823LIBNM
LDAP1823LIBNM := libldap.so
export LDAP1823LIBNM
endif
ifneq (,$(wildcard $(LDAP1823DIR)/ldap.h))
HAVE_LDAP1823_HDRS = 1
endif
ifneq (,$(wildcard $(LDAP1823LIBDIR)/$(LDAP1823LIBNM)))
HAVE_LDAP1823_LIBS = 1
endif

# add test for HAS_LEVEL_TWO_LDAPAPI here
ifneq (,$(wildcard ldap/include/ldapapi.h))
#ifneq (,$(wildcard ldap/lib/libldapapi_$(PLATFORM_TYPE)_$(OBJ_SUFFIX).$(LIB_SUFFIX)))
HAS_LEVEL_TWO_LDAPAPI=1
endif

# This is needed for a locally used encoding lib.
ifdef HAS_MWBB1
ifndef MWBB1DIR
MWBB1DIR := .
endif				# MWBB1DIR
ifndef MWBB1LIBDIR
MWBB1LIBDIR := .
endif				# MWBB1LIBDIR
ifndef MWBB1_TAG
MWBB1_TAG := "{TAG}"
export MWBB1_TAG
endif
STDCCFLAGS	+= -D'MWBB1_TAG=$(MWBB1_TAG)' -I$(MWBB1DIR)
LDFLAGS         += -L$(MWBB1LIBDIR)
ENDLDLIBS	+= -lMWCrypt
ifneq (,(LD_RUN_PATH))
LD_RUN_stub     := $(LD_RUN_PATH)
LD_RUN_PATH     += $(LD_RUN_stub):$(MWBB1LIBDIR)
else
LD_RUN_PATH     += $(MWBB1LIBDIR)
endif
export LD_RUN_PATH
endif				# HAS_MWBB1

ifdef HAS_LEVEL_TWO_LDAPAPI
SOURCES += ldaplink.cxx gk_ldap_interface.cxx
LDAP_LIB = ./ldap/lib/libldapapi_$(PLATFORM_TYPE)_$(OBJ_SUFFIX).$(LIB_SUFFIX)

SUBDIRS += ldap/src
LDLIBS	+= -lldapapi_$(PLATFORM_TYPE)_$(OBJ_SUFFIX) $(TMP_LDLIBS)
LDFLAGS += -L./ldap/lib/
HAS_LDAP	= 1
STDCCFLAGS	+= -I./ldap/include -D"HAS_LDAP=$(HAS_LDAP)" \
                   -D"HAS_LEVEL_TWO_LDAPAPI=$(HAS_LEVEL_TWO_LDAPAPI)" -D"LDAPVERSION=2"
else
ifdef HAVE_LDAP1823_HDRS
ifdef HAVE_LDAP1823_LIBS
SOURCES         += ldaplink.cxx gk_ldap_interface.cxx
ENDLDLIBS	+= -lldap
HAS_LDAP	= 1
export HAS_LDAP
# due to the unwise naming of the libH323 header, the std. header 'ldap.h'
# would be hooded, if the include search path would not PREpended
STDCCFLAGS_stub := $(STDCCFLAGS)
STDCCFLAGS	= -D"HAS_LDAP=$(HAS_LDAP)" -I$(LDAP1823DIR) $(STDCCFLAGS_stub)
LDFLAGS         += -L$(LDAP1823LIBDIR)
ifneq (,(LD_RUN_PATH))
LD_RUN_stub     := $(LD_RUN_PATH)
LD_RUN_PATH     += $(LD_RUN_stub):$(LDAP1823LIBDIR)
else
LD_RUN_PATH     += $(LDAP1823LIBDIR)
endif
export LD_RUN_PATH
endif
endif
endif

endif
# end of LDAP configuration

# MySQL support
# has to be added after LDAP support because order of -I options is crucial
ifndef NO_MYSQL
ifndef MYSQLDIR
ifneq (,$(wildcard /usr/include/mysql/mysql++))
MYSQLDIR := /usr/include/mysql
export MYSQLDIR
endif
endif

ifdef MYSQLDIR
ifneq (,$(wildcard $(MYSQLDIR)))
STDCCFLAGS_stub := $(STDCCFLAGS)
STDCCFLAGS	= -DHAS_MYSQL=1 -I$(MYSQLDIR) $(STDCCFLAGS_stub)
#LDFLAGS	+= -L$(MYSQLDIR)/lib
ENDLDLIBS	+= -lsqlplus
HAS_MYSQL	= 1
endif
endif
endif
# end of MySQL configuration

ifndef NO_WAITARQ
SOURCES += WaitingARQ.cxx
STDCCFLAGS	+= -DHAS_WAITARQ=1
HAS_WAITARQ	= 1
endif

# include the Makefile of OpenH323
ifndef OPENH323DIR
OPENH323DIR=$(HOME)/openh323
endif

VERSION_FILE := $(OPENH323DIR)/version.h

include $(OPENH323DIR)/openh323u.mak

### Remove -fdata-sections gcc option that cause problems during link step
temp_STDCCFLAGS := $(subst -fdata-sections,,$(STDCCFLAGS))
STDCCFLAGS = $(temp_STDCCFLAGS)

STDCCFLAGS	+= -DMAJOR_VERSION=$(MAJOR_VERSION) -DMINOR_VERSION=$(MINOR_VERSION) -DBUILD_NUMBER=$(BUILD_NUMBER)

ifdef LARGE_FDSET
STDCCFLAGS_stub	:= $(STDCCFLAGS)
STDCCFLAGS	= -DLARGE_FDSET=$(LARGE_FDSET) $(STDCCFLAGS_stub)
endif

ifdef HAS_LEVEL_TWO_LDAPAPI
TARGET_LIBS += $(LDAP_LIB)
ifdef DEBUG
$(LDAP_LIB): 
	$(MAKE) -C ldap/src debug
else
$(LDAP_LIB):
	$(MAKE) -C ldap/src opt
endif
$(TARGET):	$(OBJS) $(TARGET_LIBS)
	$(MAKE) $(TARGET_LIBS)
	$(CPLUS) -o $@ $(CFLAGS) $(LDFLAGS) $(OBJS) $(LDLIBS) $(ENDLDLIBS) $(ENDLDFLAGS)
endif

# extra targets
addpasswd: $(OBJDIR)/addpasswd.o
	$(CXX) -o $(OBJDIR)/addpasswd $(CFLAGS) $(OBJDIR)/addpasswd.o $(LDFLAGS) -l$(PTLIB_BASE)$(LIB_TYPE) $(ENDLDLIBS) $(ENDLDFLAGS)

doc:	docs/manual.sgml
	cd docs; sgml2html manual.sgml; \
	which bg5sgml2html > /dev/null 2>&1 && \
	bg5sgml2html manual-zh.sgml || true

# end

=== ldap/src/Makefile ===
#
#
#

ifndef PWLIBDIR
PWLIBDIR=$(HOME)/pwlib
endif

LDAP_SRCDIR = .
LDAP_INCLUDEDIR = ../include


include $(PWLIBDIR)/make/unix.mak

LDAPAPI_BASE = ldapapi_$(PLATFORM_TYPE)_$(OBJ_SUFFIX)
LDAPAPI_FILE = lib$(LDAPAPI_BASE).$(LIB_SUFFIX)
LIB_BASENAME=$(LDAPAPI_FILE)
LIB_FILENAME=$(LDAPAPI_FILE)

LDAP_LIBDIR = ../lib
OBJDIR = $(LDAP_LIBDIR)/$(PT_OBJBASE)
DEPDIR = $(OBJDIR)
TARGET = $(LDAP_LIBDIR)/$(LDAPAPI_FILE)


COMMON_SOURCES =	$(LDAP_SRCDIR)/delete.cxx      				$(LDAP_SRCDIR)/modify.cxx \
	         	$(LDAP_SRCDIR)/LDAP_SBindRequest_authentication.cxx  	$(LDAP_SRCDIR)/free.cxx \
			$(LDAP_SRCDIR)/getattr.cxx 				$(LDAP_SRCDIR)/messages.cxx \
			$(LDAP_SRCDIR)/LDAP_SFilter.cxx                      	$(LDAP_SRCDIR)/getdn.cxx \
			$(LDAP_SRCDIR)/options.cxx				$(LDAP_SRCDIR)/compare.cxx \
			$(LDAP_SRCDIR)/getresults.cxx  				$(LDAP_SRCDIR)/parse.cxx \
			$(LDAP_SRCDIR)/init.cxx        				$(LDAP_SRCDIR)/result.cxx \
			$(LDAP_SRCDIR)/abandon.cxx                           	$(LDAP_SRCDIR)/bind.cxx \
			$(LDAP_SRCDIR)/search.cxx				$(LDAP_SRCDIR)/add.cxx \
			$(LDAP_SRCDIR)/ldap_asn.cxx

HEADER_FILES =      	$(LDAP_INCLUDEDIR)/ber.h 				$(LDAP_INCLUDEDIR)/ldap_cdefs.h \
			$(LDAP_INCLUDEDIR)/ldapapi.h				$(LDAP_SRCDIR)/LDAP_SBindRequest_authentication.h \
			$(LDAP_SRCDIR)/LDAP_SFilter.h				$(LDAP_SRCDIR)/ldap-int.h


SOURCES = $(COMMON_SOURCES)

include $(PWLIBDIR)/make/unix.mak
include $(PWLIBDIR)/make/ptlib.mak
include $(PWLIBDIR)/make/lib.mak

ifeq (,$(wildcard $(OPENH323DIR)/include/ldap.h))
STDCCFLAGS += -DOPENH323LIB_HAS_LDAP_ASN_H
endif

STDCCFLAGS += -I../include -I. -I$(OPENH323DIR)/include

ifndef DEBUG
	STDCCFLAGS += -fpic
endif

#all :: bothdepend both

%.a: $(OBJS)
	ar -rv $(TARGET) $(OBJS)
	ranlib $(TARGET)

%.so: $(OBJS)
	g++ -o $(TARGET) -shared $(OBJS)

## gnugk 2.2.3

=== docs/manual/Makefile ===
all:	html pdf

html:
	sgml2html -s 1 manual.sgml

html-fr:
	cd fr ; sgml2html --language=fr -s 1 manual-fr.sgml

html-es:
	cd es ; sgml2html --language=es -s 1 manual-es.sgml

pdf:
	sgml2latex --output=dvi manual.sgml ; dvipdfm manual.dvi ; rm -f manual.dvi

pdf-fr:
	cd fr ; sgml2latex --language=fr manual-fr.sgml ; dvipdfm manual-fr.dvi ; rm -f manual-fr.dvi

pdf-es:
	cd es ; sgml2latex --language=es manual-es.sgml ; dvipdfm manual-es.dvi ; rm -f manual-es.dvi

clean:
	rm -f *.html *.pdf *.dvi fr/*.html fr/*.pdf fr/*.dvi es/*.html es/*.pdf es/*.dvi

## gnugk 2.2.7

=== docs/manual/Makefile ===
--- 
+++ 
@@ -18,5 +18,14 @@
 pdf-es:
 	cd es ; sgml2latex --language=es manual-es.sgml ; dvipdfm manual-es.dvi ; rm -f manual-es.dvi
 
+txt:
+	sgml2txt --charset=latin manual.sgml
+
+txt-fr:
+	cd fr ; sgml2txt --language=fr --charset=latin manual-fr.sgml
+
+txt-es:
+	cd es ; sgml2txt --language=es --charset=latin manual-es.sgml
+
 clean:
-	rm -f *.html *.pdf *.dvi fr/*.html fr/*.pdf fr/*.dvi es/*.html es/*.pdf es/*.dvi
+	rm -f *.html *.pdf *.dvi *.txt fr/*.html fr/*.pdf fr/*.dvi fr/[a-zA-Z]*.txt es/*.html es/*.pdf es/*.dvi es/*.txt

## gnugk 2.3.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

project(gnugk)

set(SOURCES main.cxx singleton.cxx job.cxx yasocket.cxx h323util.cxx
           Toolkit.cxx SoftPBX.cxx GkStatus.cxx RasTbl.cxx Routing.cxx
           Neighbor.cxx GkClient.cxx gkauth.cxx RasSrv.cxx ProxyChannel.cxx
           gk.cxx version.cxx gkacct.cxx gktimer.cxx gkconfig.cxx
           sigmsg.cxx clirw.cxx cisco.cxx ipauth.cxx statusacct.cxx
           syslogacct.cxx capctrl.cxx MakeCall.cxx h460presence.cxx
		   gksql.cxx gksql_mysql.cxx gksql_pgsql.cxx gksql_sqlite.cxx gksql_firebird.cxx gksql_odbc.cxx)

add_executable(gnugk ${SOURCES})
add_definitions("-Os -fno-exceptions -felide-constructors -Wall -Wformat -Wformat-security -Wreorder")
add_definitions("-DPTRACING -D_REENTRANT -DNDEBUG -D_FORTIFY_SOURCE=2")
if (${CMAKE_SYSTEM_PROCESSOR} MATCHES "64")
	add_definitions("-DP_64BIT")
endif()

# loom for FindXXX.cmake modules in our cmake folder
SET(CMAKE_MODULE_PATH "${PROJECT_SOURCE_DIR}/cmake")

find_package(PTLIB REQUIRED)
find_package(H323PLUS REQUIRED)
include_directories(${PTLIB_INCLUDE} ${H323PLUS_INCLUDE})
target_link_libraries(gnugk ${H323PLUS_LIBRARY} ${PTLIB_LIBRARY})
# TODO: check ptbuildopts.h to decide witch libs are needed ?
target_link_libraries(gnugk ssl expat pthread dl ldap rt)

option(HAS_H46018 "Enable H.460.18/.19 support" OFF)
option(HAS_H46023 "Enable H.460.23/.24 support" ON)
option(HAS_RADIUS "Enable Radius support" ON)
#option(LARGE_FDSET "Enable LARGE_FDSET support" 0)

if (${HAS_H46018} STREQUAL "ON")
	add_definitions("-DHAS_H46018=1")
endif()
if (${HAS_H46023} STREQUAL "ON")
	add_definitions("-DHAS_H46023=1")
endif()
if (${HAS_RADIUS} STREQUAL "ON")
	add_definitions("-DHAS_RADIUS=1")
endif()
# TODO: doesn't work, yet
if (${LARGE_FDSET})
	add_definitions("-DLARGE_FDSET=${LARGE_FDSET}")
else()
	set(LARGE_FDSET 0)
endif()

# databases
option(HAS_MYSQL "Enable MySQL support" OFF)
find_package(MYSQL)
if (MYSQL_FOUND)
	set(HAS_MYSQL ON)
	add_definitions("-DHAS_MYSQL=1")
	include_directories("${MYSQL_INCLUDE_DIR}")
	target_link_libraries(gnugk ${MYSQL_LIBRARY})
endif ()

option(HAS_PGSQL "Enable PostrgeSQL support" OFF)
find_package(POSTGRESQL)
if (POSTGRESQL_FOUND)
	set(HAS_PGSQL ON)
	add_definitions("-DHAS_PGSQL=1")
	include_directories("${POSTGRESQL_INCLUDE_DIR}")
	target_link_libraries(gnugk ${POSTGRESQL_LIBRARY} crypt)
endif ()

option(HAS_SQLITE "Enable Sqlite support" OFF)
find_package(SQLITE)
if (SQLITE_FOUND)
	set(HAS_SQLITE ON)
	add_definitions("-DHAS_SQLITE=1")
	include_directories("${SQLITE_INCLUDE_DIR}")
	target_link_libraries(gnugk ${SQLITE_LIBRARY})
endif ()

option(HAS_FIREBIRD "Enable Firebird support" OFF)
find_package(FIREBIRD)
if (FIREBIRD_FOUND)
	set(HAS_FIREBIRD ON)
	add_definitions("-DHAS_FIREBIRD=1")
	include_directories("${FIREBIRD_INCLUDE_DIR}")
	target_link_libraries(gnugk ${FIREBIRD_LIBRARY})
endif ()

option(HAS_ODBC "Enable ODBC support" OFF)
find_package(ODBC)
if (ODBC_FOUND)
	set(HAS_ODBC ON)
	add_definitions("-DHAS_ODBC=1")
	include_directories("${ODBC_INCLUDE_DIR}")
	target_link_libraries(gnugk ${ODBC_LIBRARY})
endif ()

# only needed on Windows, must change #undef to #cmakedefine in gnugkbuildopts.h.in
#configure_file (
#  "${PROJECT_SOURCE_DIR}/gnugkbuildopts.h.in"
#  "${PROJECT_BINARY_DIR}/gnugkbuildopts.h"
#  )

# for gnugkbuildopts.h
include_directories("${PROJECT_BINARY_DIR}")

message(STATUS)
message(STATUS "--------------------------------------------------")
message(STATUS "Settings:")
message(STATUS "HAS_H46018 = ${HAS_H46018}")
message(STATUS "HAS_H46023 = ${HAS_H46023}")
message(STATUS "HAS_RADIUS = ${HAS_RADIUS}")
message(STATUS "LARGE_FDSET = ${LARGE_FDSET}")
message(STATUS)
message(STATUS "Change the above values with: cmake -D<Variable>=<Value>")
message(STATUS)
message(STATUS "HAS_MYSQL = ${HAS_MYSQL}")
message(STATUS "HAS_PGSQL = ${HAS_PGSQL}")
message(STATUS "HAS_SQLITE = ${HAS_SQLITE}")
message(STATUS "HAS_FIREBIRD = ${HAS_FIREBIRD}")
message(STATUS "HAS_ODBC = ${HAS_ODBC}")
message(STATUS)
message(STATUS "You can now compile with 'make'")
message(STATUS "--------------------------------------------------")
message(STATUS)

=== debian/changelog ===
gnugk (2:2.3.2-3) unstable; urgency=low

  * Do not attempt to use dh_auto_install - override with $(MAKE)
    - fixes FTBFS

 -- Mark Purcell <msp@debian.org>  Sun, 06 Jun 2010 15:04:52 +1000

gnugk (2:2.3.2-2) unstable; urgency=low

  * Add Build-Depends: libsqlite3-dev (Closes: #573553)
  * Add Build-Depends: autoconf - fixes FTBFS i386
  * source/format -> 3.0 (quilt)
  * Update to Standards-Version: 3.8.4
  * Ack NMU (Thks Stefano)

 -- Mark Purcell <msp@debian.org>  Sun, 06 Jun 2010 09:07:24 +1000

gnugk (2:2.3.2-1) unstable; urgency=low

  * New upstream release (Closes: #573553)
  * Added Build-Depends: libh323plus-dev
  * configure --disable-unixodbc - unsupported API
  * Update gnugk.init.d - init.d-script-missing-dependency-on-remote_fs
  * Switch to debhelper 7
  * dh_installdocs -X.cvsignore

 -- Mark Purcell <msp@debian.org>  Sat, 05 Jun 2010 16:43:57 +1000

gnugk (2:2.3.0-4-1.1) unstable; urgency=low 

   * Non-maintainer upload.
   * Rebuild against firebird 2.1, change build-dep accordingly.
     (Closes: #564680)
   * Enlarge architecture list for the firebird build-dep adding armel,
     ia64, mips, mipsel, and s390 (as requested by Damyan Ivanov, firebird
     maintainer).

 -- Stefano Zacchiroli <zack@debian.org>  Sun, 21 Feb 2010 20:22:08 +0100

gnugk (2:2.3.0-4-1) unstable; urgency=low

  * New upstream release

  [ Kilian Krause ]
  * debian/copyright: Fix email address of author to jan@willamowius.de
    instead of jan@willamowius.com

 -- Mark Purcell <msp@debian.org>  Fri, 16 Oct 2009 23:00:07 +1100

gnugk (2:2.3.0-2-1) unstable; urgency=low

  * New upstream release
  * fix minor spelling-error-in-copyright
  * debian/compat -> 7
  * fix package-lacks-versioned-build-depends-on-debhelper 7

 -- Mark Purcell <msp@debian.org>  Sun, 26 Jul 2009 09:34:55 +1000

gnugk (2:2.2.8-2) unstable; urgency=low

  * Clarify debian/copyright - copyright-refers-to-versionless-license-file
  * Add lintian-overrides for possible-gpl-code-linked-with-openssl
  * Switch to cdbs
  * Use sf-get-source.mk rules

 -- Mark Purcell <msp@debian.org>  Mon, 23 Feb 2009 11:40:09 +1100

gnugk (2:2.2.8-1) unstable; urgency=low

  * New Upstream Release 

  [ Patrick Matthäi ]
  * Bumped Standards-Version to 3.8.0.
  * Removed some useless whitespaces at EOL in debian/control.

  [ Mark Purcell ]
  * Add debian/examples
  * Add debian/docs
  * Add debian/manpages
  * Cleanup debian/watch
  * Downgrade Build-Depends: libopenh323-dev (necessary for build)
    - Or H323Plus 1.20 (ITP needed)

 -- Mark Purcell <msp@debian.org>  Mon, 16 Feb 2009 21:52:49 +1100

gnugk (2:2.2.7-3-2) unstable; urgency=low

  * Re-enable SRV support that was disabled due to an upstream bug.
    Thanks to MESZAROS Mihaly. (Closes: #501030)

 -- Faidon Liambotis <paravoid@debian.org>  Fri, 03 Oct 2008 12:40:54 +0300

gnugk (2:2.2.7-3-1) unstable; urgency=low

  * New upstream release
  * debian/rules explicit test cases
  * Remove help2man - addpasswd.1 was next to useless

 -- Mark Purcell <msp@debian.org>  Mon, 23 Jun 2008 22:05:45 +1000

gnugk (2:2.2.7-1) unstable; urgency=low

  [ Faidon Liambotis ]
  * New upstream release.
    - Dropped new_firebird_api.dpatch as it was backported from upstream.
  * Bump Standards-Version to 3.7.3, no changes needed.
  * Fix get-orig-source target to use qa.debian.org's sourceforge redirect
    script.
  * Remove Build-Conflict to an ancient version of linux-kernel-headers.
  * Remove debian/backports/sarge; it's not supported anymore.
  * Depend on libopenh323-1.19.1-dev >= 1.19.1~ instead of >= 1.19.1~dfsg-1,
    fixes lintian warning.
  * Dropped dpatch entirely, since we have zero patches now.
  * Do not ship /usr/share/doc/gnugk/manual/.cvsignore.
  * Remove Conflicts/Replaces opengate and openh323gk since these are
    pre-sarge.
  * Remove Jose Carlos Garcia Sogo and Santiago Garcia Mantinan from
    Uploaders and add myself.

 -- Mark Purcell <msp@debian.org>  Tue, 22 Apr 2008 19:36:45 +1000

gnugk (2:2.2.6-7) unstable; urgency=high

  * Set high urgency for fixing RC bug.
  * Fix postinst - to complete move from preinst we need to switch from
    "install|upgrade" to "configure" as argument. (Closes: #454259, #454488)

 -- Kilian Krause <kilian@debian.org>  Wed,  5 Dec 2007 19:10:45 +0100

gnugk (2:2.2.6-6) unstable; urgency=low

  * Extremadura release ;-)
  * Rebuild to force libopenh323-1.19.1-dev transition

 -- Mark Purcell <msp@debian.org>  Fri, 30 Nov 2007 11:54:49 +0100

gnugk (2:2.2.6-4) unstable; urgency=low

  * debian/control: Replace GnomeMeeting with Ekiga.
  * Add Homepage field as added in dpkg-dev 1.14.6.
  * Build against openh323-titan as it's now available in Sid. (really fixes
    #381092)

 -- Kilian Krause <kilian@debian.org>  Mon, 15 Oct 2007 18:56:49 +0200

gnugk (2:2.2.6-3) unstable; urgency=low

  * Update to debian/compat use rather than setting in debian/rules.
  * Fix #440855 again: for some reason the B-D was still firebird2-dev

 -- Kilian Krause <kilian@debian.org>  Sun,  9 Sep 2007 23:04:24 +0200

gnugk (2:2.2.6-2) unstable; urgency=high

  * Fix debian/watch.
  * Update build-depends on firebird2.0-dev [amd64 i386 powerpc sparc
    kfreebsd-amd64 kfreebsd-i386] (Closes: #440855)
  * Fix postinst script to cope with configure. Adjust naming in error to
    "postinst" reflecting move in 2:2.2.5-3.1. (Closes: #440810)
  * Bump urgency due to fixing RC bugs.

 -- Kilian Krause <kilian@debian.org>  Thu, 06 Sep 2007 12:01:36 +0200

gnugk (2:2.2.6-1) unstable; urgency=low

  [ Mark Purcell ]
  * New upstream release
    - Authentication does not work in certain circumstances (Closes:
    #381092)
  * Ack NMU, Thanks Arjan (Closes: #408360)
  * Update debian/watch

  [ Kilian Krause ]
  * Backport fix for new Firebird API from CVS revision 1.5.2.1. (Fixes at
    least part of the FTBFS on i386 and amd64)
  * Compile against 1.18.0.dfsg-3 version of OpenH323 to overcome FTBFS
    (Closes: #436352)
  * Don't ignore make clean error.



=== debian/control ===
Source: gnugk
Section: comm
Priority: optional
Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
Uploaders: Kilian Krause <kilian@debian.org>, Mark Purcell <msp@debian.org>, Faidon Liambotis <paravoid@debian.org>
Build-Depends: debhelper (>= 7.0.50~), cdbs, autoconf,
 libh323plus-dev, libspeex-dev,
 libsdl1.2-dev,
 linuxdoc-tools,
 libmysql++-dev, firebird2.5-dev [amd64 armel i386 ia64 powerpc sparc kfreebsd-amd64 kfreebsd-i386 mips mipsel s390],
 libsqlite3-dev,
 libldap2-dev, libpq-dev
Standards-Version: 3.8.4
Homepage: http://www.gnugk.org/
Vcs-Svn: svn://svn.debian.org/pkg-voip/gnugk/trunk/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-voip/gnugk/?op=log

Package: gnugk
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, adduser
Suggests: ekiga, ohphone, ohphone-basic, simph323
Description: OpenH323 Gatekeeper - The GNU Gatekeeper
 GNU Gatekeeper is an open-source project that implements an H.323
 gatekeeper. A gatekeeper provides call control services to the
 H.323 endpoints. It is an integral part of most useful internet
 telephony installations that are based on the H.323 standard.
 .
 According to Recommendation H.323, a gatekeeper shall provide the following
 services:
 .
  Address Translation
  Admissions Control
  Bandwidth Control
  Zone Management
  Call Control Signaling
  Call Authorization
  Bandwidth Management
  Call Management
 .
 The GNU Gatekeeper implements most of these functions based on the
 OpenH323 protocol stack.

## gnugk 2.3.2-3

=== debian/changelog ===
gnugk (2:2.3.2-3-1) unstable; urgency=low

  * New upstream release

 -- Mark Purcell <msp@debian.org>  Sat, 03 Jul 2010 11:45:41 +1000

gnugk (2:2.3.2-2-1) unstable; urgency=low

  * New Upstream Release 
    - Fixes "[gnugk] FTBFS with binutils-gold" (Closes: #563809)

 -- Mark Purcell <msp@debian.org>  Sun, 27 Jun 2010 08:27:20 +1000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
 Uploaders: Kilian Krause <kilian@debian.org>, Mark Purcell <msp@debian.org>, Faidon Liambotis <paravoid@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), cdbs, autoconf,
+Build-Depends: debhelper (>= 7.0.50~), autoconf,
  libh323plus-dev, libspeex-dev,
  libsdl1.2-dev,
  linuxdoc-tools,

=== debian/rules ===
#!/usr/bin/make -f

FILENAME := $(PACKAGE)_$(UPVERSION).orig.tar.gz
URL := http://qa.debian.org/watch/sf.php/openh323gk/gnugk-$(UPVERSION).tar.gz

## pwlib_compat.h does not set this on OpenH323 >= 1.19 by mistake
export STDCCFLAGS+= -DhasSRV=1


export PREFIX=/usr/
export OPENH323DIR=/usr/share/openh323
export OPENH323MAKEDIR=/usr/share/openh323
export OH323_LIBDIR=/usr/lib
export PTLIB_CONFIG=/usr/bin/ptlib-config
export PTLIBDIR=$(shell /usr/bin/ptlib-config --ptlibdir)

%:
	dh $@ --parallel

-include /usr/share/gnome-pkg-tools/1/rules/sf-get-source.mk

override_dh_auto_configure:
	dh_auto_configure -- --with-pgsql-include-dir=`/usr/bin/pg_config --includedir` --disable-unixodbc

override_dh_auto_build:
	dh_auto_build -- opt addpasswd doc

override_dh_auto_test:
	obj*/gnugk -h > /dev/null

override_dh_installchangelogs:
	dh_installchangelogs changes.txt

override_dh_install_init:
	dh_install_init -- defaults 90 10

override_dh_installdocs:
	dh_installdocs -X.cvsignore

override_dh_auto_install:
	$(MAKE) install DESTDIR=$(CURDIR)/debian/gnugk INSTALL_DIR=$(CURDIR)/debian/gnugk/usr INSTALLBIN_DIR=$(CURDIR)/debian/gnugk/usr/sbin
	install --mode=640 --owner=root --group=root \
		etc/complete.ini $(CURDIR)/debian/gnugk/etc/gatekeeper.ini

override_dh_fixperms:
	dh_fixperms
	chmod -x debian/gnugk/usr/share/doc/gnugk/examples/odbc.ini

=== debian/watch ===
version=3

http://sf.net/openh323gk/gnugk-([\d\.-]+)\.tar\.gz	debian	svn-upgrade

## gnugk 2.3.5~dfsg

=== debian/changelog ===
gnugk (2:2.3.5~dfsg-1) unstable; urgency=low

  * New upstream release
   - DFSG repack due to configure.exe binary
  * Replace get-orig-source target with our own version instead of including
    pkg-gnome makefile sniplet to avoid warnings with dh targets.
  * Make sure to use autotools-dev
  * Update svn.d.o Vcs-Browser URL
  * Bump Standards-Version to 3.9.2 - no update required
  * Use at least correct GPL-2 location in debian/copyright. Needs more work
    still though.
  * Add doc-base registration

 -- Kilian Krause <kilian@debian.org>  Sat, 06 Aug 2011 22:40:40 +0200

=== debian/control ===
--- 
+++ 
@@ -3,17 +3,17 @@
 Priority: optional
 Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
 Uploaders: Kilian Krause <kilian@debian.org>, Mark Purcell <msp@debian.org>, Faidon Liambotis <paravoid@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), autoconf,
+Build-Depends: debhelper (>= 7.0.50~), autotools-dev,
  libh323plus-dev, libspeex-dev,
  libsdl1.2-dev,
  linuxdoc-tools,
  libmysql++-dev, firebird2.5-dev [amd64 armel i386 ia64 powerpc sparc kfreebsd-amd64 kfreebsd-i386 mips mipsel s390],
  libsqlite3-dev,
  libldap2-dev, libpq-dev
-Standards-Version: 3.8.4
+Standards-Version: 3.9.2
 Homepage: http://www.gnugk.org/
 Vcs-Svn: svn://svn.debian.org/pkg-voip/gnugk/trunk/
-Vcs-Browser: http://svn.debian.org/wsvn/pkg-voip/gnugk/?op=log
+Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-voip/gnugk/trunk/
 
 Package: gnugk
 Architecture: any

## gnugk 3.0

=== docs/manual/Makefile ===
# detect distribution: sgml2... is called differently on Ubuntu
distro := $(shell lsb_release -i -s 2> /dev/null)
ifeq ($(distro),Ubuntu)
	SGML2LATEX = linuxdoc -B latex
	SGML2HTML = linuxdoc -B html
	SGML2TXT = linuxdoc -B txt
else
	SGML2LATEX = sgml2latex
	SGML2HTML = sgml2html
	SGML2TXT = sgml2txt
endif

all:	html pdf

html:
	$(SGML2HTML) -s 1 manual.sgml

html-fr:
	cd fr ; $(SGML2HTML) --language=fr -s 1 manual-fr.sgml

html-es:
	cd es ; $(SGML2HTML) --language=es -s 1 manual-es.sgml

pdf:
	$(SGML2LATEX) --output=dvi manual.sgml ; dvipdfm manual.dvi ; rm -f manual.dvi

pdf-fr:
	cd fr ; $(SGML2LATEX) --language=fr manual-fr.sgml ; dvipdfm manual-fr.dvi ; rm -f manual-fr.dvi

pdf-es:
	cd es ; $(SGML2LATEX) --language=es manual-es.sgml ; dvipdfm manual-es.dvi ; rm -f manual-es.dvi

txt:
	$(SGML2TXT) --charset=latin manual.sgml

txt-fr:
	cd fr ; $(SGML2TXT) --language=fr --charset=latin manual-fr.sgml

txt-es:
	cd es ; $(SGML2TXT) --language=es --charset=latin manual-es.sgml

clean:
	rm -f *.html *.pdf *.dvi *.txt fr/*.html fr/*.pdf fr/*.dvi fr/[a-zA-Z]*.txt es/*.html es/*.pdf es/*.dvi es/*.txt

## gnugk 3.0-20111123%7edfsg

=== debian/changelog ===
gnugk (2:3.0-20111123~dfsg-1) unstable; urgency=low

  * New upstream release 
    - Fixes "gnugk segfaulting" (Closes: #644360)
  * Add Build-Depends: libssh-dev

 -- Mark Purcell <msp@debian.org>  Sat, 03 Dec 2011 13:34:54 +1100

=== debian/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
 Uploaders: Kilian Krause <kilian@debian.org>, Mark Purcell <msp@debian.org>, Faidon Liambotis <paravoid@debian.org>
 Build-Depends: debhelper (>= 7.0.50~), autotools-dev,
  libh323plus-dev, libspeex-dev,
+ libssh-dev,
  libsdl1.2-dev,
  linuxdoc-tools,
  libmysql++-dev, firebird2.5-dev [amd64 armel i386 ia64 powerpc sparc kfreebsd-amd64 kfreebsd-i386 mips mipsel s390],

## gnugk 3.0.1

=== debian/changelog ===
gnugk (2:3.0.1-1) unstable; urgency=low

  * New upstream release
  * Build-Depends: libfirebird-dev
    - Fixes "Please build-depend on firebird-dev" (Closes: #653375)

 -- Mark Purcell <msp@debian.org>  Sat, 18 Feb 2012 15:23:12 +1100

=== debian/rules ===
--- 
+++ 
@@ -1,29 +1,35 @@
 #!/usr/bin/make -f
 
-FILENAME := $(PACKAGE)_$(UPVERSION).orig.tar.gz
-URL := http://qa.debian.org/watch/sf.php/openh323gk/gnugk-$(UPVERSION).tar.gz
+PACKAGE := gnugk
+DEBVERSION := $(shell head -n 1 debian/changelog \
+		    | sed -e 's/^[^(]*(\([^)]*\)).*/\1/')
+DEB_NOEPOCH_VERSION:=$(shell echo $(DEBVERSION) | cut -d':' -f 2)
+DEB_SRC_VERSION:=$(shell echo $(DEB_NOEPOCH_VERSION) | sed -e 's/-[^-]\+$$//')
+UPVERSION := $(shell echo $(DEB_SRC_VERSION) | sed 's/~dfsg//')
+FILENAME := $(PACKAGE)_$(DEB_SRC_VERSION).orig.tar.gz
+UPFILENAME := $(PACKAGE)-$(UPVERSION).tar.gz
+URL := http://qa.debian.org/watch/sf.php/openh323gk/$(UPFILENAME)
+
 
 ## pwlib_compat.h does not set this on OpenH323 >= 1.19 by mistake
 export STDCCFLAGS+= -DhasSRV=1
-
 
 export PREFIX=/usr/
 export OPENH323DIR=/usr/share/openh323
 export OPENH323MAKEDIR=/usr/share/openh323
 export OH323_LIBDIR=/usr/lib
 export PTLIB_CONFIG=/usr/bin/ptlib-config
-export PTLIBDIR=$(shell /usr/bin/ptlib-config --ptlibdir)
+export PTLIBDIR=$(shell [ -x /usr/bin/ptlib-config ]&&/usr/bin/ptlib-config --ptlibdir)
 
 %:
-	dh $@ --parallel
-
--include /usr/share/gnome-pkg-tools/1/rules/sf-get-source.mk
+	dh $@ --parallel --with autotools_dev
 
 override_dh_auto_configure:
 	dh_auto_configure -- --with-pgsql-include-dir=`/usr/bin/pg_config --includedir` --disable-unixodbc
 
 override_dh_auto_build:
-	dh_auto_build -- opt addpasswd doc
+	dh_auto_build -- opt doc
+	$(MAKE) -C addpasswd opt
 
 override_dh_auto_test:
 	obj*/gnugk -h > /dev/null
@@ -45,3 +51,18 @@
 override_dh_fixperms:
 	dh_fixperms
 	chmod -x debian/gnugk/usr/share/doc/gnugk/examples/odbc.ini
+
+get-orig-source:
+	@@if [ -x /usr/bin/wget ];then \
+		echo 'Grabbing original upstream tarball...' ; \
+		wget -nv --content-disposition $(URL) ; \
+		echo 'Repacking as DFSG-free (removing configure.exe)' ; \
+		mkdir gnugk-tmp ; cd gnugk-tmp ; tar xf "../$(UPFILENAME)" ; \
+		rm -f gnugk*/configure.exe ../$(UPFILENAME) ; \
+		echo "Writing new archive $(FILENAME)" ; \
+		tar cfz ../$(FILENAME) gnugk-* ; \
+		echo "Cleaning up..." ; \
+		cd .. ; rm -rf gnugk-tmp ; \
+	else \
+		echo "Please install wget and run again."; \
+	fi

## gnugk 3.0.2

=== debian/changelog ===
gnugk (2:3.0.2-3ubuntu1) raring; urgency=low

  * Fix FTBFS in job.cxx, and rebuild against new ptlib (LP: #1059877)

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 31 Oct 2012 10:18:18 +0000

gnugk (2:3.0.2-3) unstable; urgency=medium

  * Actually apply the correct patch (Closes: #685969)
    - Fixes "CVE-2012-3534" - limit status port connections

 -- Mark Purcell <msp@debian.org>  Mon, 01 Oct 2012 12:55:55 +1000

gnugk (2:3.0.2-2) unstable; urgency=medium

  * Fix "CVE-2012-3534" Added gnugk-fix-cve-2012-3534.diff (Closes: #685969)
  * Urgency medium for RC bug

 -- Mark Purcell <msp@debian.org>  Sun, 30 Sep 2012 08:59:11 +1000

gnugk (2:3.0.2-1) unstable; urgency=low

  * New upstream release

 -- Mark Purcell <msp@debian.org>  Mon, 11 Jun 2012 10:11:53 +1000

gnugk (2:3.0.1-2) unstable; urgency=low

  * debian/rules: update PTLIB_CONFIG location 
  * Disable false positive dh_auto_test

 -- Mark Purcell <msp@debian.org>  Mon, 19 Mar 2012 16:01:09 +1100

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: gnugk
 Section: comm
 Priority: optional
-Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
 Uploaders: Kilian Krause <kilian@debian.org>, Mark Purcell <msp@debian.org>, Faidon Liambotis <paravoid@debian.org>
 Build-Depends: debhelper (>= 7.0.50~), autotools-dev,
  libh323plus-dev, libspeex-dev,
  libssh-dev,
  libsdl1.2-dev,
  linuxdoc-tools,
- libmysql++-dev, firebird2.5-dev [amd64 armel i386 ia64 powerpc sparc kfreebsd-amd64 kfreebsd-i386 mips mipsel s390],
+ libmysql++-dev, firebird-dev [amd64 armel i386 ia64 powerpc sparc kfreebsd-amd64 kfreebsd-i386 mips mipsel s390],
  libsqlite3-dev,
  libldap2-dev, libpq-dev
 Standards-Version: 3.9.2

## gnugk 3.2-2

=== debian/changelog ===
gnugk (2:3.2-2-1) experimental; urgency=low

  * New upstream release 

 -- Mark Purcell <msp@debian.org>  Tue, 22 Jan 2013 14:33:04 +1100

gnugk (2:3.1-1) experimental; urgency=low

  * New upstream release
  * Drop gnugk-fix-cve-2012-3534.diff - included upstream

 -- Mark Purcell <msp@debian.org>  Fri, 02 Nov 2012 22:12:21 +1100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: gnugk
 Section: comm
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
+Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
 Uploaders: Kilian Krause <kilian@debian.org>, Mark Purcell <msp@debian.org>, Faidon Liambotis <paravoid@debian.org>
 Build-Depends: debhelper (>= 7.0.50~), autotools-dev,
  libh323plus-dev, libspeex-dev,

## gnugk 3.3-4

=== debian/changelog ===
gnugk (2:3.3-4-1) unstable; urgency=low

  * New upstream release
  * Update debian/control - fix  vcs-field-not-canonical
  * Add spelling-error-in-binary.patch - usr/sbin/gnugk explict explicit

 -- Mark Purcell <msp@debian.org>  Sat, 25 May 2013 14:02:01 +1000

gnugk (2:3.2-2-2) unstable; urgency=low

  * Upload to unstable 
    - Fixes "FTBFS: job.cxx:88:2: error: 'PThreadIdentifer'" (Closes: #707353)

 -- Mark Purcell <msp@debian.org>  Sun, 12 May 2013 18:17:36 +1000

=== debian/rules ===
--- 
+++ 
@@ -18,8 +18,8 @@
 export OPENH323DIR=/usr/share/openh323
 export OPENH323MAKEDIR=/usr/share/openh323
 export OH323_LIBDIR=/usr/lib
-export PTLIB_CONFIG=/usr/bin/ptlib-config
-export PTLIBDIR=$(shell [ -x /usr/bin/ptlib-config ]&&/usr/bin/ptlib-config --ptlibdir)
+export PTLIB_CONFIG=/usr/share/ptlib/make/ptlib-config
+export PTLIBDIR=$(shell [ -x /usr/share/ptlib/make/ptlib-config ]&& /usr/share/ptlib/make/ptlib-config --ptlibdir)
 
 %:
 	dh $@ --parallel --with autotools_dev
@@ -32,7 +32,7 @@
 	$(MAKE) -C addpasswd opt
 
 override_dh_auto_test:
-	obj*/gnugk -h > /dev/null
+#	#obj*/gnugk -h > /dev/null
 
 override_dh_installchangelogs:
 	dh_installchangelogs changes.txt

## gnugk 3.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 project(gnugk)
 
-set(SOURCES main.cxx singleton.cxx job.cxx yasocket.cxx h323util.cxx
+set(SOURCES singleton.cxx job.cxx yasocket.cxx h323util.cxx
            Toolkit.cxx SoftPBX.cxx GkStatus.cxx RasTbl.cxx Routing.cxx
            Neighbor.cxx GkClient.cxx gkauth.cxx RasSrv.cxx ProxyChannel.cxx
            gk.cxx version.cxx gkacct.cxx gktimer.cxx gkconfig.cxx

=== addpasswd/Makefile ===
#
# Makefile
#
# Makefile for addpasswd
#
# Copyright (C) 2010 Jan Willamowius, jan@willamowius.de
#
# $Log: Makefile,v $
# Revision 1.2  2011/04/15 17:49:00  willamowius
# fix compile on Solaris 10
#
# Revision 1.1  2010/10/02 21:29:30  willamowius
# move addpasswd to subdir
#
# Revision 1.1  2004/12/14 07:04:05  csoutheren
# Initial version
#


PROG = addpasswd
SOURCES := addpasswd.cxx

ifndef PTLIBDIR
PTLIBDIR=${HOME}/ptlib
endif
include $(PTLIBDIR)/make/ptlib.mak

#ifeq ($(OSTYPE),solaris)
    ### Remove references to gcc 3.x libs that come with Solaris 10
    temp_ENDLDLIBS := $(subst -R/usr/sfw/lib,,$(ENDLDLIBS))
    ENDLDLIBS = $(temp_ENDLDLIBS)
    temp_ENDLDLIBS := $(subst -L/usr/sfw/lib,,$(ENDLDLIBS))
    ENDLDLIBS = $(temp_ENDLDLIBS)
    ENDLDLIBS += -L/opt/csw/lib
#endif # solaris

static:
	P_SHAREDLIB=0 LDFLAGS=-static $(MAKE) optnoshared

## gnugk 3.4-2

=== debian/changelog ===
gnugk (2:3.4-2-1) unstable; urgency=low

  * New upstream release

 -- Mark Purcell <msp@debian.org>  Sat, 12 Oct 2013 11:13:00 +1100

gnugk (2:3.4-1) unstable; urgency=low

  * New upstream release

 -- Mark Purcell <msp@debian.org>  Sat, 28 Sep 2013 08:16:22 +1000

=== debian/control ===
--- 
+++ 
@@ -11,9 +11,9 @@
  libmysql++-dev, firebird-dev [amd64 armel i386 ia64 powerpc sparc kfreebsd-amd64 kfreebsd-i386 mips mipsel s390],
  libsqlite3-dev,
  libldap2-dev, libpq-dev
-Standards-Version: 3.9.2
+Standards-Version: 3.9.4
 Homepage: http://www.gnugk.org/
-Vcs-Svn: svn://svn.debian.org/pkg-voip/gnugk/trunk/
+Vcs-Svn: svn://anonscm.debian.org/pkg-voip/gnugk/trunk/
 Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-voip/gnugk/trunk/
 
 Package: gnugk

## gnugk 3.6

=== docs/manual/Makefile ===
--- 
+++ 
@@ -22,13 +22,13 @@
 	cd es ; $(SGML2HTML) --language=es -s 1 manual-es.sgml
 
 pdf:
-	$(SGML2LATEX) --output=dvi manual.sgml ; dvipdfm manual.dvi ; rm -f manual.dvi
+	$(SGML2LATEX) --output=dvi --style=gnugk manual.sgml ; dvipdfm manual.dvi ; rm -f manual.dvi
 
 pdf-fr:
-	cd fr ; $(SGML2LATEX) --language=fr manual-fr.sgml ; dvipdfm manual-fr.dvi ; rm -f manual-fr.dvi
+	cd fr ; $(SGML2LATEX) --language=fr --style=gnugk manual-fr.sgml ; dvipdfm manual-fr.dvi ; rm -f manual-fr.dvi
 
 pdf-es:
-	cd es ; $(SGML2LATEX) --language=es manual-es.sgml ; dvipdfm manual-es.dvi ; rm -f manual-es.dvi
+	cd es ; $(SGML2LATEX) --language=es --style=gnugk manual-es.sgml ; dvipdfm manual-es.dvi ; rm -f manual-es.dvi
 
 txt:
 	$(SGML2TXT) --charset=latin manual.sgml

=== debian/changelog ===
gnugk (2:3.6-1build2) yakkety; urgency=medium

  * No-change rebuild for ptlib soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 30 Apr 2016 16:08:35 +0000

gnugk (2:3.6-1build1) wily; urgency=medium

  * No-change rebuild against libh323-1.24.0v5

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 11 Aug 2015 20:53:25 +0000

gnugk (2:3.6-1) unstable; urgency=low

  * New upstream release
    - Fixes "Test your package against libssh 0.6.x" (Closes: #739492)
  * Fix "does not create pid file" patch from Naoto (Closes: #734676)
  * Update debian/init.d - init.d-script-does-not-source-init-functions
  * Refresh spelling-error-in-binary.patch

 -- Mark Purcell <msp@debian.org>  Sat, 31 May 2014 16:03:53 +1000

=== debian/watch ===
version=3
opts=dversionmangle=s/\~dfsg// \
http://sf.net/openh323gk/gnugk-([\d\.-]+)\.tar\.gz	debian	svn-upgrade
